/*
    SHAPE Group. All rights reserved.
*/

var noPane  = 0;
var eqPane  = 1;
var plPane  = 2;
var vidPane = 3;
var currentPane = 0;

var vidIsRunning = false;

function Init()
{
    pl.setColumnResizeMode(0, "Stretches");
    pl.setColumnResizeMode(1, "AutoSizeData");
    visEffects.currentEffectType = mediacenter.effectType;
    visEffects.currentPreset = mediacenter.effectPreset;

    OnOpenStateChange();
    OnPlayStateChange();
    visEffects.visible = false;
    visEffects.enabled = false; 
}

function OnClose()
{
    mediacenter.effectType = visEffects.currentEffectType;
    mediacenter.effectPreset = visEffects.currentPreset;
}

function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
        vidIsRunning =
            (player.currentMedia.ImageSourceWidth>0);
        UpdateMetadata();
        bClose.enabled = !vidIsRunning;
       visEffects.enabled = false; 
        visEffects.visible = false;
       
         if((currentPane != eqPane) && (currentPane != plPane))
        {
            SetVisibility(vidIsRunning?vidPane:noPane);
        }
    }
}

function OnPlayStateChange()
{

    bPlay.visible = true;
    switch(player.PlayState)
    {
    case psStopped:
        visEffects.visible = false;
        visEffects.enabled = false; 
        break;
    case psPaused:
        visEffects.visible = false;
        break;
    case psPlaying:
        bPlay.visible = false;
        visEffects.enabled = false; 
        visEffects.visible = false;
        UpdateMetadata();
        break;
    }
}

function StartVideo()
{
    vidIsRunning = true;
    
    SetVisibility(vidPane);
    visEffects.visible = false;
    visEffects.enabled = false; 
}

function EndVideo()
{
    vidIsRunning = false;
    bVis.enabled = true;
    bVis.upToolTip = xVidVisTt.value;
}

function UpdateMetadata()
{
    metadata.value =
        player.currentmedia.getiteminfo("#author");
    if(metadata.value == "")
    {
        metadata.value =
            player.currentmedia.getiteminfo("author");
    }
    if(metadata.value != "")
    {
        metadata.value += " -- ";
    }
    metadata.value += player.currentmedia.name;
    metadata.scrolling = metadata.textWidth>metadata.width;
}

function SetVisibility(newPane)
{
    bClose.enabled = "true" 
     bClose1.enabled = "true"
    view.height = 478;
    bEq.upToolTip = xEqTt.toolTip;
    bPl.upToolTip = xPlTt.toolTip;
    bVis.enabled = true;
    bVis.upToolTip = (vidIsRunning ?
        xVidVisTt.toolTip : xVidVisTt.value);

    switch(newPane)
    {
    case noPane:
        sWindow1.visible = false;
        sWindow.visible = false;
            sAudio.visible =
            pl.visible =
            vid.visible = false;
        view.height = 286;
      visEffects.visible = false;
        visEffects.enabled = false;
        break;
    case eqPane:
        sWindow.visible =
            sAudio.visible = true;
        vid.visible =
            pl.visible = true;
        bEq.upToolTip = xEqTt.value;
        break;
    case plPane:
        sWindow1.visible = true;
        sWindow.visible = false;
            pl.visible = true;
        vid.visible =
            sAudio.visible = true;
        bPl.upToolTip = xPlTt.value;
        break;
    case vidPane:
        sWindow.visible = true;
      sWindow1.visible = false;
            vid.visible = true;
        sAudio.visible =
            pl.visible = false;
        bVis.upToolTip = "";
        bVis.enabled = false;
        visEffects.visible = false;
        visEffects.enabled = false; 
        break;
    default:
         visEffects.visible = false;
         visEffects.enabled = false;
    }

    currentPane = newPane;
}

function AdjustEQ()
{
    eq.gainLevel2 = (8*bass.value +   treble.value)/9;
    eq.gainLevel3 = (7*bass.value + 2*treble.value)/9;
    eq.gainLevel4 = (6*bass.value + 3*treble.value)/9;
    eq.gainLevel5 = (5*bass.value + 4*treble.value)/9;
    eq.gainLevel6 = (4*bass.value + 5*treble.value)/9;
    eq.gainLevel7 = (3*bass.value + 6*treble.value)/9;
    eq.gainLevel8 = (2*bass.value + 7*treble.value)/9;
    eq.gainLevel9 = (  bass.value + 8*treble.value)/9;
}

function ToggleView(cat)
{
 
 
 switch(cat)
    {
    case 1 :
               if(sWindow1.visible== true)
                {
                pl1.visible = false;
                sWindow1.visible=false;
                 }
              else
               {
                 pl1.visible =true;
                sWindow1.visible=true;
               }
   
          
        break;
    case 2:
                if(sWindow.visible== true)
                {
                      sWindow.visible=false;
             
                 }
              else
               {
                   sWindow.visible=true;
               }
        break;
    case 3:
                   if(sAudio.visible== true)
                {
                     sAudio.visible=false;
                 }
              else
               {
                   sAudio.visible=true;
               }
       
        break;
   
    }

}
function DialogOpen()
{
    var newURL=theme.openDialog('file_open','files_allmedia');
    if (newURL.length>1) player.URL=newURL;
}
